<template>
  <div class="sec1">
    <section>
      <img class="imgpro" :src="picture" alt="รูปกิรติเอง" :width="200" :height="250" ref="imgeEL" /><br />


      <h1>ชื่อ-นามสกุล : {{ getFullName }}</h1>
      <h1>อายุ : {{ age }} ปี</h1>
      <h1>ตำแหน่งงาน : {{ Position }}</h1>

      <button @click="togglevisible">
        {{ isvisible ? "ซ่อน" : "แสดง" }}รายละเอียด
      </button>
      <article v-show="isvisible">
        <div class="statusall">
          <p>สถานะ : {{ status }}</p>
          <p>วันเกิด : {{ bd }}</p>
          <p>Email : {{ emai }}</p>
          <p>เบอร์ : {{ phonenumber }}</p>
          <p>
            ที่อยู่ : <span>{{ address }}</span>
          </p>
        </div>




        <a :href="social1" target="_black "><img
            src="https://th.bing.com/th/id/R.84669eb4301059aa602096c83a13e15f?rik=FkFOcs3CThcCJQ&pid=ImgRaw&r=0"
            alt=""></a>
        <a :href="social2" target="_black "><img
            src="https://cdn4.iconfinder.com/data/icons/social-media-2210/24/Instagram-512.png" alt=""></a>
        <div class="hobby">
          <p v-if="hobby.length === 0">ไม่มีงานอดิเรก</p>
          <div v-else>
            <p>งานอดิเรก :</p>

            <li v-for="(item, index) in hobby" :key="index">
              {{ item }}
            </li>
          </div>
          <p>ข้อมูลพื้นฐาน</p>
          <li v-for="(item, key) in general" :key="key">{{ key }} :{{ item }}</li>
        </div>
      </article>
    </section>
  </div>
</template>

<script>
export default {
  name: "App",
  data() {
    return {
      phonenumber: "095-1927055",
      emai: "kirati.le@kkumail.com",
      bd: "7 พศฤจิกายน 2001",
      status: "โสด",
      firstname: "กิรติ",
      lastname: "ลี้ดำรงค์ประเสริฐ",
      nickname: "โก้",
      Position: "เด็กฝึกงาน",
      age: 21,
      address: "44/250 ถ.โพธิสาร ซ.พัทยา1 อ.เมือง ต.ในเมือง จ.ขอนแก่น 40000",
      picture:
        "https://scontent.fbkk29-7.fna.fbcdn.net/v/t1.15752-9/343703213_772496631205152_3132368365487388611_n.jpg?_nc_cat=108&ccb=1-7&_nc_sid=ae9488&_nc_ohc=dH3WYVD5ClMAX81C1uY&_nc_ht=scontent.fbkk29-7.fna&oh=03_AdQgmd4lCBS5rcx-R5T2C7cq-09VzW-8HyM7ZRkdal8NDA&oe=6472AD4F",
      social1: "https://www.facebook.com/profile.php?id=100007425224241",
      social2: "https://www.instagram.com/iiiiiiiiigo/",
      hobby: ["วิ่ง", "เล่นเกม", "กระโดดยาง", "ปีนผา", "ยิงปืน", "ทำกับข้าว"], //arry
      general: { gender: "ชาย", weight: 60, height: 170, disease: "หอบหืด" }, //opjeck
      isvisible: false,
    };
  },
  methods: {
    togglevisible() {
      this.isvisible = !this.isvisible;
    },
  },
  computed: {
    getFullName() {
      return `${this.firstname}  ${this.lastname} `;
    },
  },
};
</script>

<style>
section {
  text-align: center;
  background: #FFEEB3;
  margin-left: 20%;
  margin-right: 20%;
  color: #9E6F21;
  border-radius: 20px 20px;
  padding-bottom: 15px;
}

p {
  font-weight: bold;
}

.hobby {
  justify-content: center;
  justify-items: center;
  margin-left: 30%;
  margin-right: 30%;
}

li {
  text-align: center;
  border: solid 1px #a4d0a4;
  padding: 7px;
  clear: both;
  width: 350px;
  background: #B8E7E1;
  border-radius: 20px 20px;
  margin: 7px;
}

a:visited {
  color: rgb(103, 103, 251);
  background-color: transparent;
  text-decoration: none;
}

a:hover {
  color: rgb(0, 0, 0);
  background-color: transparent;
  text-decoration: underline;
}

a:active {
  color: red;
  background-color: transparent;
}

img {
  margin: 40px;
  border-radius: 5px 5px;
  max-width: 10%;
  height: auto;
  --hl: 0;
  object-fit: cover;
  transform: scale(calc(1.6 + .2*var(--hl)));
  filter: brightness(calc(.5*(1 + var(--hl))));
  transition: .3s;


  &:hover {
    --hl: 1
  }
}

article {
  justify-content: center;
}

button {
  background-color: #D4FAFC;
  border: 0px  #617A55;
  margin-bottom: 15px;
  border-radius:20px ;
  padding: 10px 20px;
}

button:hover {
  color: rgb(0, 0, 0);
  background-color: #617A55;
}

button:active {
  color: rgba(76, 215, 181, 0.31);
  
}

.imgpro {
  margin: 40px;
  border-radius: 5px 5px;
  max-width: 100%;
  height: auto;
  --hl: 0;
  object-fit: cover;
  transform: scale(calc(1 + .2*var(--hl)));
  filter: brightness(calc(.5*(2  + var(--hl))));
  transition: .3s;

  &:hover {
    --hl: 1
  }
}
.sec1{
  
  background-image: url("https://a-static.besthdwallpaper.com/white-forest-wallpaper-3840x2160-10087_54.jpg");
  margin: auto;
  padding: 40px;
  background-repeat: no-repeat;
  background-size: cover;
}
</style>
